import { request } from '@umijs/max';
import { message } from 'antd';

export type Response<T> = {
  success: boolean;
  data: T;
  errorCode?: number;
  errorMessage?: string;
  showType?: number;
  traceId?: string;
  host?: string;
};

export async function invoke<T>(url: string, opts: any): Promise<Response<T>> {
  const res = (await request(url, opts)) as unknown as Response<T>;

  if (!res.success) {
    message.warning(`[${res.errorCode}]${res.errorMessage}`);
  }

  return res;
}
