// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 根据ID获取字典配置 GET /apis/admin/config/get */
export async function getConfigGetApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.getConfigGetApiParams,
  options?: { [key: string]: any },
) {
  return request<SectApi.ConfigVO>('/apis/admin/config/get', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 根据ID获取字典配置 POST /apis/admin/config/list */
export async function postConfigListApi(body: string[], options?: { [key: string]: any }) {
  return request<SectApi.ConfigVO[]>('/apis/admin/config/list', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 根据前缀获取字典配置 POST /apis/admin/config/list_prefix */
export async function postConfigListPrefixApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.postConfigListPrefixApiParams,
  options?: { [key: string]: any },
) {
  return request<SectApi.ConfigVO[]>('/apis/admin/config/list_prefix', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 分页查询字典配置 POST /apis/admin/config/page */
export async function postConfigPageApi(
  body: SectApi.ConfigPageQuery,
  options?: { [key: string]: any },
) {
  return request<SectApi.IPageConfigVO>('/apis/admin/config/page', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 保存字典配置 POST /apis/admin/config/save */
export async function postConfigSaveApi(body: SectApi.Config, options?: { [key: string]: any }) {
  return request<boolean>('/apis/admin/config/save', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 批量保存字典配置 POST /apis/admin/config/save_batch */
export async function postConfigSaveBatchApi(
  body: SectApi.Config[],
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/config/save_batch', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
