// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 菜单详情 GET /apis/admin/menu/details */
export async function getMenuDetailsApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.getMenuDetailsApiParams,
  options?: { [key: string]: any },
) {
  return request<SectApi.MenuVO>('/apis/admin/menu/details', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 删除菜单 DELETE /apis/admin/menu/remove */
export async function deleteMenuRemoveApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.deleteMenuRemoveApiParams,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/menu/remove', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 保存菜单 POST /apis/admin/menu/save */
export async function postMenuSaveApi(
  body: SectApi.MenuSaveQuery,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/menu/save', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询菜单树 POST /apis/admin/menu/tree/list */
export async function postMenuTreeListApi(
  body: SectApi.MenuTreeQuery,
  options?: { [key: string]: any },
) {
  return request<SectApi.MenuVO[]>('/apis/admin/menu/tree/list', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
