// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 用户详情 GET /apis/admin/user/details */
export async function getUserDetailsApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.getUserDetailsApiParams,
  options?: { [key: string]: any },
) {
  return request<SectApi.UserVO>('/apis/admin/user/details', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 分页查询用户 POST /apis/admin/user/page */
export async function postUserPageApi(
  body: SectApi.UserPageQuery,
  options?: { [key: string]: any },
) {
  return request<SectApi.IPageUserVO>('/apis/admin/user/page', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除用户 DELETE /apis/admin/user/remove */
export async function deleteUserRemoveApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.deleteUserRemoveApiParams,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/user/remove', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 保存用户 POST /apis/admin/user/save */
export async function postUserSaveApi(
  body: SectApi.UserSaveQuery,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/user/save', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
